## ocaml-integers 0.7.0

=== Makefile ===
.PHONY: all clean test doc

all:
	dune build

test:
	dune runtest

doc:
	dune build @doc

clean:
	dune clean

## ocaml-integers 0.3.0

=== debian/changelog ===
ocaml-integers (0.3.0-1build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:32:32 +0000

ocaml-integers (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #934154)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 11 Aug 2019 10:30:29 +0200

=== debian/control ===
Source: ocaml-integers
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 12),
 ocaml-nox,
 ocaml-dune,
 dh-ocaml
Standards-Version: 4.4.0
Section: ocaml
Homepage: https://github.com/ocamllabs/ocaml-integers
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-integers.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-integers

Package: libintegers-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: library of various integer types for OCaml (development)
 The ocaml-integers library provides a number of 8-, 16-, 32- and
 64-bit signed and unsigned integer types, together with aliases such
 as long and size_t whose sizes depend on the host platform.
 .
 This package contains development files.

Package: libintegers-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: library of various integer types for OCaml (runtime)
 The ocaml-integers library provides a number of 8-, 16-, 32- and
 64-bit signed and unsigned integer types, together with aliases such
 as long and size_t whose sizes depend on the host platform.
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p integers

override_dh_auto_test:
	dune runtest -p integers

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/integers/LICENSE.md

override_dh_missing:
	dh_missing --fail-missing

## ocaml-integers 0.4.0

=== debian/changelog ===
ocaml-integers (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 05 Aug 2020 11:14:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: ocaml-integers
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  ocaml-nox,
  ocaml-dune,
  dh-ocaml
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocamllabs/ocaml-integers
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-integers.git

=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,4 @@
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/integers/LICENSE.md
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:

=== debian/watch ===
version=3
https://github.com/ocamllabs/ocaml-integers/releases .*/archive/v?(.*)\.tar\.gz

## ocaml-integers 0.5.1

=== debian/changelog ===
ocaml-integers (0.5.1-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 06:47:45 +0100

ocaml-integers (0.5.1-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Dec 2021 22:24:21 +0100

ocaml-integers (0.5.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.
  * Update standards version to 4.6.0, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Dec 2021 17:33:24 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  ocaml-nox,
  ocaml-dune,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocamllabs/ocaml-integers

## ocaml-integers 0.6.0

=== debian/changelog ===
ocaml-integers (0.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Mar 2022 15:08:53 +0100

## ocaml-integers 0.7.0

=== debian/changelog ===
ocaml-integers (0.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 02 Feb 2023 02:39:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  dh-ocaml
 Standards-Version: 4.6.0

=== debian/watch ===
version=4
https://github.com/ocamllabs/ocaml-integers/tags .*/archive/refs/tags/v?(.*)\.tar\.gz
